Occurrences over a span of time

Get occurrences metrics over a span of time by filtering, grouping, and aggregating. The endpoint follows search/query semantics as a POST request using project read access token.

List of columns/fields that can be used with some components of your query:

  • project_id
  • item_id
  • environment
  • browser_family
  • browser_version
  • os_family
  • os_version
  • device_brand
  • device_model
  • ip_address
  • item_status
  • item_level
  • item_group_item_id
  • item_title
  • item_counter
  • person_username
  • person_email
  • person_id
  • code_version
  • count
  • occurrence_id
  • uuid
  • context
  • platform
  • framework
  • platform_canonical
  • framework_canonical
  • language
  • language_name
  • notifier_name
  • notifier_version
  • occurrence_count
  • message_body
  • timestamp
  • fingerprint
  • server_host
  • server_root
  • server_pid
  • server_cpu
  • scm_branch
  • request_url
  • request_method
  • request_query_string
  • request_body
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
integer
required

Unix timestamp of start time for the query

integer
required

Unix timestamp of end time for the query, inclusive

filters
array of objects

Array of JSON objects containing field/value entries of column name and an array of match values. Supports: eq, ne, gt, gte, lt, lte, not_like, between, and not_between operators. eq and ne supports multiple values

filters
group_by
array of objects

An array of column names on which to group the results

group_by
aggregates
array of objects

An array of columns on which an aggregate function should be performed for each group. An alias name may also be set, which will be used in the response. Supported functions are: count_all, count_distinct, max, and min

aggregates
sort
object

Sort on a specified column/field name

string

Timepoint size of the returned results in: second, minute, hour, day, week, month, or year

string

Optional, default is US/Pacific. Other examples: Europe/London, Japan, and etc.

integer

Total rows/groups to return in the set

integer

Specific offset/starting point

Headers
string
required

Use a Project Access Token with 'read' scope

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json